<div class="clr-row ">
    <div class="clr-col-lg-12 clr-col-md-12 clr-col-12">
        <div class="card">
            <h3 class="card-header" style="background:#CFF5E7;color: #0E5E6F;">เลือกรายการวันที่</h3>
            <div class="card-block">
                <div class="card-text">
                    <form class="clr-form">
                        <div class="clr-row clr-align-items-center">
                            <div class="clr-col-lg-2 clr-col-md-3 clr-col-4">
                                <clr-input-container>
                                    <label>วันที่เริ่มต้น</label>
                                    <input clrInput type="date" name="dataStart" [(ngModel)]="dataStart" />
                                </clr-input-container>
                            </div>
                            <div class="clr-col-lg-2 clr-col-md-3 clr-col-4">
                                <clr-input-container>
                                    <label>วันที่สิ้นสุด</label>
                                    <input clrInput type="date" name="dateEnd" [(ngModel)]="dateEnd" />
                                </clr-input-container>
                            </div>
                            <div class="clr-col-4">
                                <button class="btn" style="margin:5px;width: 120px;border-radius: 8px;background: #59C1BD;color:white;border:0;box-shadow: 2px 2px 4px #888888;" onmouseover="this.style.background='#0E5E6F'" onmouseout="this.style.background='#59C1BD'"
                                (click)="getSearcha()">ค้นหา</button>
                            <button class="btn" style="margin:5px;width: 120px;border-radius: 8px;background: #FF9F9F;color:white;border:0;box-shadow: 2px 2px 4px #888888;" onmouseover="this.style.background='#E97777'" onmouseout="this.style.background='#FF9F9F'"
                                (click)="getCancel()">ล้างข้อมูล</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- </div>
</div>
<div class="clr-row">
    <div class="clr-col-lg-12 clr-col-md-8 clr-col-12"> -->

        <h3 style="margin-left: 20px;">รายการ MOPH Claim NSHO</h3>

        <table class="table">
            <thead>
                <tr>
                    <th>code_status</th>
                    <th>seq</th>
                    <th>hn</th>
                    <th>message_th</th>
                    <th>transaction_uid</th>
                    <!-- <th>verify_url</th> -->
                    <!-- <th>##</th> -->
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let i of viewItem">
                    <td>{{i.code_status}}</td>
                    <td>{{i.seq}}</td>
                    <td>{{i.hn}}</td>
                    <td *ngIf="i.code_status !='200'" style="color:red">{{i.message_th}}</td>
                    <td *ngIf="i.code_status =='200'" style="color:#379237">{{i.message_th}}</td>
                    <td><a href="{{i.verify_url}}" target="_blank">{{i.transaction_uid}}</a></td>
                    <!-- <td>{{i.verify_url}}</td> -->
                    <!-- <td (click)="alertCliam(i)"><clr-icon shape="repeat"></clr-icon></td> -->
                </tr>

            </tbody>
        </table>
    </div>
</div>